package com.mvc.dao;

import com.mvc.entity.TFault;

import java.util.List;

import com.mvc.entity.TFaultExample;
import org.apache.ibatis.annotations.Param;

public interface TFaultMapper {
    long countByExample(TFaultExample example);

    int deleteByExample(TFaultExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TFault record);

    int insertSelective(TFault record);

    List<TFault> selectByExample(TFaultExample example);

    TFault selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TFault record, @Param("example") TFaultExample example);

    int updateByExample(@Param("record") TFault record, @Param("example") TFaultExample example);

    int updateByPrimaryKeySelective(TFault record);

    int updateByPrimaryKey(TFault record);
}